> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm a payment batch

> Confirms processing of payment batch.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json post /payment-batches/{paymentBatchId}/confirm
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}/confirm:
    post:
      tags:
        - Payment Batches
      summary: Confirm a payment batch
      description: Confirms processing of payment batch.
      operationId: confirmPaymentBatch
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                mfa:
                  type:
                    - object
                  properties:
                    provider:
                      type:
                        - string
                      enum:
                        - fx-mfa-service
                      description: The name of the service that provides MFA authorisation
                    sessionId:
                      type:
                        - string
                      minLength: 1
                      description: The ID of the successful MFA session
                    token:
                      type:
                        - string
                      minLength: 1
                      description: The MFA secret sent to your device
                  required:
                    - provider
                    - sessionId
                    - token
              example:
                mfa:
                  provider: fx-mfa-service
                  sessionId: string
                  token: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  status:
                    type:
                      - string
                    enum:
                      - draft
                      - validated
                      - confirmed
                      - started
                      - completed
                      - failed
                      - cancelled
                    description: The status of the Payment Batch.
                required:
                  - status
                example:
                  status: draft
      security:
        - CommonAuth:
            - payment-batches:confirm:any
            - payment-batches:confirm:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/confirm?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "mfa": {
                "provider": "fx-mfa-service",
                "sessionId": "string",
                "token": "string"
              }
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````